How to Get Around ssl_error_protocol_version_alert?

Discussion in 'other security issues & news' started by PastTense, Feb 10, 2015.

  1. PastTense

    PastTense Registered Member

    Joined:
    Feb 28, 2009
    Posts:
    42
    Starting a couple weeks ago my banking site (https...) has started giving the message:

    Secure Connection Failed

    An error occurred during a connection to {sitename}.com. Peer reports incompatible or unsupported protocol version. (Error code: ssl_error_protocol_version_alert)

    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.

    I am using Palemoon (a Firefox variant). Any suggestions as to either what settings I could change or what other browser I could use which would get around this problem (note I am using Windows XP).

    Thanks.
     
  2. KeyPer4Life

    KeyPer4Life Registered Member

    Joined:
    Dec 18, 2013
    Posts:
    974
    You could check Qualys labs's and type in name of banking site for any errors and the overall rating of their
    security. Do you have certificate validation boxes both checked in Pale Moon and what are your min and max TLS version set at in Pale Moon?
     
  3. itman

    itman Registered Member

    Joined:
    Jun 22, 2010
    Posts:
    2,969
    Location:
    U.S.A.
Loading...